<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_aa7e860da1acd4e767e" . "0df9d7d407380" => base64_decode("ZGF0ZV9jcm" . "VhdGVk"), "i" . "d" => base64_decode("aWQ" . "="), "_4cabd5d7713c30b34f152bca7e1" . "6cd6c" => base64_decode("bmV3c19mZWVkcw=" . "="), "_49c48a113fcc4b94b" . "82e29c74e01e7bd" => base64_decode("ZmVlZF9rZXkgZXE6c3RyOmtl" . "eQ=="), "chann" . "els" => base64_decode("Y2hhbm5l" . "bHM="), "_022eeb17ad2461a772886fe0f" . "5575520" => base64_decode("Y3JlYX" . "Rvcg=="), "_c0f286e9" . "3ebdcaa42" . "7b44ec294" . "13392b" => base64_decode("ZmV" . "lZF" . "9rZ" . "Xk="), "ti" . "tl" . "e" => base64_decode("dGl0bG" . "U="));
use Claromentis\Core\DAL;




class NewsFeed extends ActiveRecord
{
    
    
    
    
    
    
    public static function LoadByKey($key)
    {
        $_25b9db1c0742750fdff46948cbf57c67 = new NewsFeed();
        $_c0a4245f295a91f607925636fb789046 = ObjectsStorage::I()->GetMultiple(new NewsFeed(), new DAL\QueryPart($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_49c48a113fcc" . "4b94b82e29c74" . "e01e7bd"], $key), 1);
        return empty($_c0a4245f295a91f607925636fb789046[0]) ? null : $_c0a4245f295a91f607925636fb789046[0];
    }
    public function InitDbMapping(ObjectsStorage $storage)
    {
        $storage->MapDbTable($this, $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_4cabd5d" . "7713c30b" . "34f152bc" . "a7e16cd6" . "c"], $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["i" . "d"]);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["i" . "d"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["t" . "i" . "t" . "l" . "e"], ObjectsStorage::T_STRING, 255);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["chan" . "nels"], ObjectsStorage::T_STRING);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_c0f286e93ebdcaa42" . "7b44ec29413392b"], ObjectsStorage::T_STRING, 20);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_aa7e860da1acd4e767e0df9d7" . "d407380"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_022eeb17ad2" . "461a772886fe" . "0f5575520"], ObjectsStorage::T_INT);
    }
    public function __set($_ce76a91ef2b7be07d7d04e74d4da9b6a, $value)
    {
        return $this->SetProperty($_ce76a91ef2b7be07d7d04e74d4da9b6a, $value);
    }
}